Ogre::RenderQueue::RenderQueueGroupMap Class Reference

`#include <OgreRenderQueue.h>`

List of all members.

## Classes

class | iterator
class | value_type

## Public Types

typedef uint8 | key_type
typedef RenderQueueGroup * | mapped_type
typedef value_type & | reference
typedef value_type * | pointer
typedef const value_type & | const_reference
typedef const value_type * | const_pointer
typedef vector< value_type >::type | GroupVector
typedef const iterator | const_iterator

## Public Member Functions

| RenderQueueGroupMap ()
void | insert (value_type v)
iterator | find (uint8 key)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
void | clear ()

## Protected Attributes

uint8 | mMinID
uint8 | mMaxID
GroupVector | mGroupVector

## Detailed Description

Definition at line 96 of file OgreRenderQueue.h.

## Member Typedef Documentation

typedef const iterator Ogre::RenderQueue::RenderQueueGroupMap::const_iterator

Definition at line 237 of file OgreRenderQueue.h.

typedef const value_type* Ogre::RenderQueue::RenderQueueGroupMap::const_pointer

Definition at line 119 of file OgreRenderQueue.h.

typedef const value_type& Ogre::RenderQueue::RenderQueueGroupMap::const_reference

Definition at line 118 of file OgreRenderQueue.h.

typedef vector<value_type >::type Ogre::RenderQueue::RenderQueueGroupMap::GroupVector

Definition at line 120 of file OgreRenderQueue.h.

typedef uint8 Ogre::RenderQueue::RenderQueueGroupMap::key_type

Definition at line 114 of file OgreRenderQueue.h.

typedef RenderQueueGroup* Ogre::RenderQueue::RenderQueueGroupMap::mapped_type

Definition at line 115 of file OgreRenderQueue.h.

typedef value_type* Ogre::RenderQueue::RenderQueueGroupMap::pointer

Definition at line 117 of file OgreRenderQueue.h.

typedef value_type& Ogre::RenderQueue::RenderQueueGroupMap::reference

Definition at line 116 of file OgreRenderQueue.h.

## Constructor & Destructor Documentation

Ogre::RenderQueue::RenderQueueGroupMap::RenderQueueGroupMap | ( |  | ) |

Definition at line 239 of file OgreRenderQueue.h.

References Ogre::RENDER_QUEUE_MAX.

## Member Function Documentation

iterator Ogre::RenderQueue::RenderQueueGroupMap::begin | ( |  | ) |

Definition at line 270 of file OgreRenderQueue.h.

const_iterator Ogre::RenderQueue::RenderQueueGroupMap::begin | ( |  | ) | const

Definition at line 280 of file OgreRenderQueue.h.

void Ogre::RenderQueue::RenderQueueGroupMap::clear | ( | void |  | ) |

Definition at line 290 of file OgreRenderQueue.h.

References Ogre::RENDER_QUEUE_MAX.

iterator Ogre::RenderQueue::RenderQueueGroupMap::end | ( | void |  | ) |

Definition at line 275 of file OgreRenderQueue.h.

const_iterator Ogre::RenderQueue::RenderQueueGroupMap::end | ( | void |  | ) | const

Definition at line 285 of file OgreRenderQueue.h.

iterator Ogre::RenderQueue::RenderQueueGroupMap::find | ( | uint8 | key | ) |

Definition at line 258 of file OgreRenderQueue.h.

void Ogre::RenderQueue::RenderQueueGroupMap::insert | ( | value_type | v | ) |

Definition at line 244 of file OgreRenderQueue.h.

References Ogre::RenderQueue::RenderQueueGroupMap::value_type::first, and Ogre::RENDER_QUEUE_MAX.

## Member Data Documentation

GroupVector Ogre::RenderQueue::RenderQueueGroupMap::mGroupVector`[protected]`

Definition at line 301 of file OgreRenderQueue.h.

uint8 Ogre::RenderQueue::RenderQueueGroupMap::mMaxID`[protected]`

Definition at line 300 of file OgreRenderQueue.h.

uint8 Ogre::RenderQueue::RenderQueueGroupMap::mMinID`[protected]`

Definition at line 299 of file OgreRenderQueue.h.

The documentation for this class was generated from the following file:

- OgreRenderQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34